View Issue Details

IDProjectCategoryView StatusLast Update
0016805MediaMonkey 5Tracklistpublic2020-07-17 19:50
Reporterlowlander Assigned To 
PriorityhighSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016805: Artwork (embedded) fails to show in list/grid by Album
DescriptionFor a file that has embedded Artwork it fails to show in both list and grid by Album views (of an AutoPlaylist).
Additional InformationRelated: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=96788
TagsNo tags attached.
Fixed in build2261

Relationships

related to 0013897 closedLudek Prioritize what to load from database when viewing a Playlist in Browser View 
related to 0016604 newrusty Album Artwork: Improved handling of invalid and non-readable Album Art 

Activities

lowlander

2020-07-10 17:46

developer   ~0058857

Problem is that there is an MP3 version of the same Album and it has no Artworks attached.

Proposal: Check first file on Album for Artwork and if none found check file being displayed. This will lead to less support requests about missing Artwork in Filelisting for files that do have Artwork (but firs file on Album doesn't). It would mean a small performance hit for messy Libraries, but none for well maintained ones.

michal

2020-07-11 12:57

developer   ~0058892

We do not generate automatic thumb for autoplaylists for performance reason (0013897), users can assign thumb only manually.
Anyway I have found, that thumbs were not working for playlists in some situations, like after creating empty playlist and later adding file with thumb to it, this is fixed in 2261.

peke

2020-07-17 19:50

developer   ~0059002

Verified 2261

Issue described by @michal in 0016805:0058892 is fixed bad image user reports (https://www.mediamonkey.com/forum/viewtopic.php?p=470342#p470342) is most likely same issue as in 0016604 here cached images are missing and as pointed by user it was temporary https://www.mediamonkey.com/forum/viewtopic.php?p=470507#p470507